# -*- coding: utf-8 -*-

import matplotlib.pyplot as plt
import numpy as np
import mpl_toolkits.mplot3d

fig = plt.figure()
ax = fig.add_subplot(111, projection='3d')
X = np.linspace(-5, 5, 40)
Y = np.linspace(-5, 5, 40)
X, Y = np.meshgrid(X, Y)
Z = np.sin(X)*np.sin(Y)

ax.plot_surface(X, Y, Z, rstride=1, cstride=1, cmap=plt.cm.BuPu)
ax.contourf(X, Y, Z, zdir='z', offset=-2, cmap=plt.cm.BuPu)
ax.set_zlim(-2,2)

plt.show()